TLSRPT_FINISH_DELIVERY_REQUEST(3)

NAME
tlsrpt_finish_delivery_request - finishes the delivery request

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_finish_delivery_request(struct tlsrpt_dr_t** pdr)

DESCRIPTION

The tlsrpt_finish_delivery_request function finishes the delivery request. tlsrpt_finish_delivery_request cleans up the resources used by the delivery request dr and if no errors have occurred sends it as a datagram to the TLSRPT collectd. It deallocates the struct tlsrpt_dr_t and sets *pdr to NULL.

RETURN VALUE

The tlsrpt_finish_delivery_request function returns 0 on success and a combined error code on failure. The combined error code can be analyzed with the tlsrpt_strerror function.

SEE ALSO

tlsrpt_init_delivery_request(3), tlsrpt_cancel_delivery_request(3), tlsrpt_strerror(3), tlsrpt_error_code_is_internal(3)

AUTHOR(S)

Boris Lohner
    Author(s).